Bug 979688 - [abrt] dialog-1.1-17.20120706.fc18: strlen: Process /usr/bin/dialog was killed by signal 11 (SIGSEGV)
[abrt] dialog-1.1-17.20120706.fc18: strlen: Process /usr/bin/dialog was kille...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dialog (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
abrt_hash:2794a32ad0c618d0207967fbb40...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-29 08:06 EDT by freddokresna
Modified: 2013-07-11 23:05 EDT (History)
2 users (show)

See Also:
Fixed In Version: dialog-1.2-2.20130523.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 23:05:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (11.52 KB, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: cgroup (129 bytes, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: core_backtrace (657 bytes, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: dso_list (826 bytes, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: environ (3.26 KB, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: limits (1.29 KB, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: maps (2.18 KB, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: open_fds (113 bytes, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: proc_pid_status (781 bytes, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details
File: var_log_messages (576 bytes, text/plain)
2013-06-29 08:07 EDT, freddokresna
no flags Details

  None (edit)
Description freddokresna 2013-06-29 08:06:55 EDT
Version-Release number of selected component:
dialog-1.1-17.20120706.fc18

Additional info:
reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        dialog --help-button --ok-label Edit --cancel-label Exit --extra-button --extra-label Save --menu 'Current Gammu configuration' 0 0 0 P 'Port                 (00:23:F1:FD:45:2E)' C 'Connection           (blueat)' M 'Model                ()' D 'Synchronize time     (yes)' F 'Log file             ()' O 'Log format           (nothing)' L 'Use locking          ()' G 'Gammu localisation   ()'
crash_function: strlen
executable:     /usr/bin/dialog
kernel:         3.9.4-200.fc18.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 strlen at ../sysdeps/i386/i686/multiarch/strlen-sse2-bsf.S:50
 #1 dlg_count_wchars at inputstr.c:300
 #3 dlg_index_wchars at inputstr.c:336
 #4 print_tag at menubox.c:90
 #5 print_item at menubox.c:155
 #6 dlg_menu at menubox.c:447
 #7 dialog_menu at menubox.c:804
 #8 call_menu at dialog.c:656
Comment 1 freddokresna 2013-06-29 08:07:00 EDT
Created attachment 766865 [details]
File: backtrace
Comment 2 freddokresna 2013-06-29 08:07:03 EDT
Created attachment 766866 [details]
File: cgroup
Comment 3 freddokresna 2013-06-29 08:07:07 EDT
Created attachment 766867 [details]
File: core_backtrace
Comment 4 freddokresna 2013-06-29 08:07:10 EDT
Created attachment 766868 [details]
File: dso_list
Comment 5 freddokresna 2013-06-29 08:07:14 EDT
Created attachment 766869 [details]
File: environ
Comment 6 freddokresna 2013-06-29 08:07:17 EDT
Created attachment 766870 [details]
File: limits
Comment 7 freddokresna 2013-06-29 08:07:21 EDT
Created attachment 766871 [details]
File: maps
Comment 8 freddokresna 2013-06-29 08:07:24 EDT
Created attachment 766872 [details]
File: open_fds
Comment 9 freddokresna 2013-06-29 08:07:28 EDT
Created attachment 766874 [details]
File: proc_pid_status
Comment 10 freddokresna 2013-06-29 08:07:31 EDT
Created attachment 766877 [details]
File: var_log_messages
Comment 11 Thomas E. Dickey 2013-07-02 20:44:01 EDT
I recall making a fix in this area based on coverity and clang -
probably the latter - referring to a problem with strlen of a null
value.  The current version is 1.2-20130523
Comment 12 Miroslav Lichvar 2013-07-03 05:14:07 EDT
I wasn't able to reproduce it by running the command from the comment #0, but in the backtrace there is a strlen call on NULL. I can make an f18 update to the latest dialog if it fixes the problem.

An f19 build here

http://koji.fedoraproject.org/koji/buildinfo?buildID=421484
Comment 13 Thomas E. Dickey 2013-07-03 05:23:22 EDT
The diagnostic (my check-in comment only noted the tool which found the issue) seemed to point to a case which wasn't likely.  If it had been easy to reproduce,
or otherwise changed visible behavior, I would have added
more info about it, as I did for three items here:
    http://invisible-island.net/dialog/CHANGES-contents.html#t20121230

(citing each small change would make the log 3-4 times as long, and
make it harder to see important stuff).
Comment 14 Fedora Update System 2013-07-03 08:13:58 EDT
dialog-1.2-2.20130523.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/dialog-1.2-2.20130523.fc18
Comment 15 Fedora Update System 2013-07-03 20:59:42 EDT
Package dialog-1.2-2.20130523.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dialog-1.2-2.20130523.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-12282/dialog-1.2-2.20130523.fc18
then log in and leave karma (feedback).
Comment 16 Fedora Update System 2013-07-11 23:05:11 EDT
dialog-1.2-2.20130523.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.